Package Details: fsqlf-git v1.0.0.prealpha.02.r21-1

Git Clone URL: https://aur.archlinux.org/fsqlf-git.git (read-only, click to copy)
Package Base: fsqlf-git
Description: Free SQL Formatter which adds linebreaks and indentation to SQL source code
Upstream URL: http://fsqlf.sourceforge.net/
Licenses: LGPL
Submitter: artemklevtsov
Maintainer: None
Last Packager: artemklevtsov
Votes: 2
Popularity: 0.000003
First Submitted: 2018-04-04 14:23 (UTC)
Last Updated: 2022-03-07 19:11 (UTC)

Dependencies (5)

Required by (0)

Sources (1)

Latest Comments

dedguy21 commented on 2022-10-24 10:12 (UTC) (edited on 2022-10-24 11:01 (UTC) by dedguy21)

I updated the PKGBUILD to depends: wxgtk3 (which is in the arch repo) and the package built without errors.


I'm getting a build error, not sure how to fix it given the wxgtk2 (wxgtk2-dev, wxwidgets-gtk2) were all downloaded and built:

-- Detecting CXX compile features - done
-- Found FLEX: /usr/bin/flex (found version "2.6.4") 
CMake Error at 
/usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:230 (message):
Could NOT find wxWidgets (missing: wxWidgets_LIBRARIES
wxWidgets_INCLUDE_DIRS)
Call Stack (most recent call first):
/usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:594 
(_FPHSA_FAILURE_MESSAGE)
/usr/share/cmake/Modules/FindwxWidgets.cmake:977 
(find_package_handle_standard_args)
gui/CMakeLists.txt:6 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/air/.cache/paru/clone/fsqlf- 
git/src/fsqlf/build/CMakeFiles/CMakeOutput.log".
==> ERROR: A failure occurred in build().
Aborting...
error: failed to build 'fsqlf-git-v1.0.0.prealpha.02.r21-1': 
error: packages failed to build: fsqlf-git-v1.0.0.prealpha.02.r21-1

vladimir commented on 2022-01-03 14:51 (UTC)

Hello, please add git to makedepends, otherwise it is not possible to download the source code in clean chroot